Joomla 5 Notice

We are pleased to announce that as of January 29, 2024, all of our Joomla extensions are compatible with Joomla 5.

For all who are still updateing from Joomla 3 to Joomla 4: Joomla 4 Migration instructions are available here:

There is now a separate Documentation for Visforms for Joomla 4 and for Visforms for Joomla 5!

Forum

Visforms Subscription user can ask questions in our forum. Please log in with the relevant user first.
Everybody can access the forum for reading.

Please only ask 1 question per topic.

Installationsproblem Visform Subscription unter Joomla 4.3.4 und PHP 8.2.9

More
9 months 3 weeks ago #9675 by Selfpubservice
Joomla: 4.3.4
PHP: 8.2.9
Paket: vfsubscription_j4.0.0_4.2.2

Die Installation des Pakets funktioniert nicht und endet mit einem "Internal Server Error".

Schalte ich die PHP-Version auf die 8.2.2 zurück, verläuft die Installation problemlos, das Paket funktioniert dann auch.
Im Visforms-Dashboard bekomme ich folgende Meldung:

Deprecated: Creation of dynamic property visFormsBfImportHelper::$testDbo is deprecated in F:\www\bratwurst4\administrator\components\com_visforms\helpers\visFormsBfImportHelper.php on line 52
 

More
9 months 3 weeks ago - 3 months 1 week ago #9676 by Administrator AV
Hallo Selfpubservice,
das ist korrekt.

Visforms und Subscription sind in Ihrer aktuellen stabilen Version (4.2.2) kompatibel mit php bis Version 8.1.
Die Systemvoraussetzungen siehst du, wenn du auf der Seite, auf der du eine Subscription zum Kauf auswählen kannst, auf 'Mehr Informationen' gehtst:  vi-solutions.de/de/subscribe
Die Systermvoraussetzungen sind auch in der Release History angegeben: vi-solutions.de/de/support/dokumentation...orms/release-history .

Wir arbeiten aber schon kontinuierlich daran, Visforms auch mit php 8.2 kompatible zu machen und gehen davon aus, dass wir diesen Zustand mit einem der nächsten Releases erreichen.

Ich habe dazu einen Issue in der Entwicklung-Liste angelegt:
Issue [VF-745] PHP 8.2 Compatibility

Wenn wir das neue Feature releasen, wirst du explizit über das Release hier im Thema informiert.

Herzliche Grüße,
Aicha

:idea: I recommend you the new and up-to-date documentation for Joomla 4:
docs.joomla-5.visforms.vi-solutions.de/en/docs/
Most of this also applies retrospectively to Joomla 3.
Please only ask 1 question per topic :-).

:idea: Ich empfehle Dir die neue und aktuelle Dokumentation für Joomla 4:
docs.joomla-5.visforms.vi-solutions.de/docs/
Das meiste gilt rückwirkend auch für Joomla 3.
Bitte immer nur 1 Frage pro Thema stellen :-).
Last edit: 3 months 1 week ago by Administrator IV.

More
9 months 5 days ago #9711 by Administrator AV
Hallo Selfpubservice,
dass es zwischen php 8.2.2 und 8.2.9 so gravierende Unterschiede geben soll, dass auf dem einen die Installation funktioniert auf der anderen einen internal server error gibt, ist extrem komisch.
Normalerweise sollte sich in dieser Hinsicht zwischen den Patch Versionen absolut nichts ändern.
Ich glaube das Problem liegt eher darin, dass der php 8.2.9 Patch einen Bug hat.
Siehe: github.com/php/php-src/issues/11868
Dies nur als ein kleiner Nachtrag zu meiner letzten Antwort.
Herzliche Grüße,
Aicha

:idea: I recommend you the new and up-to-date documentation for Joomla 4:
docs.joomla-5.visforms.vi-solutions.de/en/docs/
Most of this also applies retrospectively to Joomla 3.
Please only ask 1 question per topic :-).

:idea: Ich empfehle Dir die neue und aktuelle Dokumentation für Joomla 4:
docs.joomla-5.visforms.vi-solutions.de/docs/
Das meiste gilt rückwirkend auch für Joomla 3.
Bitte immer nur 1 Frage pro Thema stellen :-).

More
3 months 1 week ago #10167 by Administrator IV
Hello Selfpubservice,

wir hatten dazu einen Issue in der Entwicklung-Liste angelegt:
Issue [VF-745] PHP 8.2 Compatibility

Das neue Feature ist enthalten im neusten Release vom 06.03.2024 für Joomla 5:
Visforms 5.0.1
docs.joomla-5.visforms.vi-solutions.de/u...es/j5/version-5-0-1/
Visforms Subscription 5.0.1
docs.joomla-5.visforms.vi-solutions.de/u...5/sub-version-5-0-1/

Liebe Grüße, Ingmar

:idea: I recommend you the new and up-to-date documentation for Joomla 4:
docs.joomla-5.visforms.vi-solutions.de/en/docs/
Most of this also applies retrospectively to Joomla 3.
Please only ask 1 question per topic :-).

:idea: Ich empfehle Dir die neue und aktuelle Dokumentation für Joomla 4:
docs.joomla-5.visforms.vi-solutions.de/docs/
Das meiste gilt rückwirkend auch für Joomla 3.
Bitte immer nur 1 Frage pro Thema stellen :-).

Moderators: Administrator AVAdministrator IV
Powered by Kunena Forum